Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225920 - Merge Review: jadetex
Summary: Merge Review: jadetex
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Novotny
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:08 UTC by Nobody's working on this, feel free to take it
Modified: 2010-01-14 15:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-14 15:57:03 UTC
dnovotny: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:08:07 UTC
Fedora Merge Review: jadetex

http://cvs.fedora.redhat.com/viewcvs/devel/jadetex/
Initial Owner: twaugh@redhat.com

Comment 1 Ondrej Vasik 2007-07-27 08:27:46 UTC
Package Change Request
======================
Package Name: jadetex
Updated Fedora Owners: ovasik@redhat.com

Comment 2 Daniel Novotny 2010-01-14 15:57:03 UTC
OK source files match upstream:
634dfc172fbf66a6976e2c2c60e2d198  jadetex-3.13.tar.gz
OK source contains full URL
- downloaded without problems, even from sourceforge :)
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK build root is correct.
OK license field matches the actual license (freely redistributable).
OK license is open source-compatible. License text included in package.
 - the text seems to be in the file jadetex.dtx, correct me if I'm wrong

OK latest version is being packaged.
OK BuildRequires are proper.
OK compiler flags are appropriate.
OK %clean is present.
OK package builds in mock.
N/A debuginfo package looks complete. - no debuginfo needed
OK* rpmlint is silent.
jadetex.spec: W: no-cleaning-of-buildroot %install
jadetex.spec: W: no-cleaning-of-buildroot %clean
 - rpmlint seems to be confused by usage of shell variables,
   so this is not a problem
jadetex.noarch: W: dangling-relative-symlink /usr/bin/jadetex etex
jadetex.noarch: W: dangling-relative-symlink /usr/bin/pdfjadetex pdfetex
 - these are links to binaries which are in requires
jadetex.noarch: W: dangerous-command-in-%post rm
 - we are rm-ing logs only, this should be ok

OK final provides and requires look sane.
N/A %check is present and all tests pass.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK doesn't own any directories it shouldn't.
OK no duplicates in %files.
OK file permissions are appropriate.
OK* scriptlets:
there's a 
%triggerin -- texlive
/usr/bin/env - PATH=$PATH:%{_bindir} fmtutil-sys --cnffile %{_datadir}/texmf/tex
/jadetex/jadefmtutil.cnf --all > /dev/null 2>&1
exit 0
but that looks quite sane, fmtutil-sys is owned by texlive
OK code vs content:
collection of TeX macros can be viewed as content, but that's ok
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.
OK not a GUI app.

Those rpmlint warnings are not a big deal, I found an explanation to all of them, so the package overall looks good. Review +.


Note You need to log in before you can comment on or make changes to this bug.